Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFormElement Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $elementID=-1)
| get ( $id=-1)
| fill (&$formArray)
& | getAll ( $offset=0, $limit=20)
| count ()
| id ()
& | name ()
| size ()
| isRequired ()
| isBreaking ()
& | elementType ()
| setName (&$value)
| setSize ( $value)
| setRequired ( $value=true)
| setBreak ( $value=true)
| setElementType (&$object)
& | forms ()
& | numberOfForms ()
& | numberOfTypes ()
| addValue (&$value)
& | fixedValues ()

## Public Attributes
| $ID
| $Name
| $Required
| $ElementType
| $Break
| $Size

## Detailed Description

! eZForum ezformelement documentation.

Example code:

Definition at line 43 of file ezformelement.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFormElement::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZFormElement object.

If $id is set the object's values are fetched from the database.

Definition at line 52 of file ezformelement.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ addValue()

eZFormElement::addValue | ( | & | $value | ) |

Sets if this element has fixed values.

Definition at line 423 of file ezformelement.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ count()

eZFormElement::count | ( |  | ) |

Returns the total count of objects in the database.

Definition at line 231 of file ezformelement.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by fixedValues(), forms(), get(), and getAll().

## ◆ delete()

eZFormElement::delete | ( |  | $elementID = `-1` | ) |

Deletes a eZFormElement object from the database.

Definition at line 124 of file ezformelement.php.

References $db, $ID, $res, eZDB\finish(), fixedValues(), and eZDB\globalDatabase().

## ◆ elementType()

& eZFormElement::elementType | ( |  | ) |

Returns the ElementType of the object.

Definition at line 306 of file ezformelement.php.

References $ElementType.

## ◆ fill()

eZFormElement::fill | ( | & | $formArray | ) |

Fills in information to the object taken from the array.

Definition at line 180 of file ezformelement.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ fixedValues()

& eZFormElement::fixedValues | ( |  | ) |

Returns true if this type has fixed values.

Definition at line 445 of file ezformelement.php.

References $db, $i, count(), and eZDB\globalDatabase().

Referenced by delete().

## ◆ forms()

& eZFormElement::forms | ( |  | ) |

Returns every form of this form element is associated with. The form elements are returned as an array of eZForm objects.

Definition at line 374 of file ezformelement.php.

References $db, $i, count(), and eZDB\globalDatabase().

## ◆ get()

eZFormElement::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 155 of file ezformelement.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZFormElement::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |

Returns all the objects found in the database.

The objects are returned as an array of eZFormElement objects.

Definition at line 197 of file ezformelement.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ id()

eZFormElement::id | ( |  | ) |

Returns the object ID. This is the unique ID stored in the database.

Definition at line 245 of file ezformelement.php.

References $ID.

## ◆ isBreaking()

eZFormElement::isBreaking | ( |  | ) |

Returns true if this element is breaking

Definition at line 289 of file ezformelement.php.

References $ret.

## ◆ isRequired()

eZFormElement::isRequired | ( |  | ) |

Returns true if this element is required

Definition at line 272 of file ezformelement.php.

References $ret.

## ◆ name()

& eZFormElement::name | ( |  | ) |

Returns the name of the object.

Definition at line 253 of file ezformelement.php.

References $Name, and Name.

## ◆ numberOfForms()

& eZFormElement::numberOfForms | ( |  | ) |

Returns the number of forms this element belongs to

Definition at line 393 of file ezformelement.php.

References $db, $result, $ret, and eZDB\globalDatabase().

## ◆ numberOfTypes()

& eZFormElement::numberOfTypes | ( |  | ) |

Returns the number of types which exists

Definition at line 408 of file ezformelement.php.

References $db, $result, $ret, and eZDB\globalDatabase().

## ◆ setBreak()

eZFormElement::setBreak | ( |  | $value = `true` | ) |

Sets the break status.

Definition at line 346 of file ezformelement.php.

## ◆ setElementType()

eZFormElement::setElementType | ( | & | $object | ) |

Sets the ElementType.

Definition at line 362 of file ezformelement.php.

## ◆ setName()

eZFormElement::setName | ( | & | $value | ) |

Sets the name of the object.

Definition at line 314 of file ezformelement.php.

References Name.

## ◆ setRequired()

eZFormElement::setRequired | ( |  | $value = `true` | ) |

Sets the required status.

Definition at line 330 of file ezformelement.php.

## ◆ setSize()

eZFormElement::setSize | ( |  | $value | ) |

Sets the size of the object.

Definition at line 322 of file ezformelement.php.

## ◆ size()

eZFormElement::size | ( |  | ) |

Returns the size of the object.

Definition at line 264 of file ezformelement.php.

## ◆ store()

eZFormElement::store | ( |  | ) |

Stores a eZFormElement object to the database.

Definition at line 72 of file ezformelement.php.

References $db, $name, $query, $Required, $res, $size, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Break

eZFormElement::$Break

Definition at line 465 of file ezformelement.php.

## ◆ $ElementType

eZFormElement::$ElementType

Definition at line 464 of file ezformelement.php.

Referenced by elementType().

## ◆ $ID

eZFormElement::$ID

Definition at line 461 of file ezformelement.php.

Referenced by __construct(), delete(), and id().

## ◆ $Name

eZFormElement::$Name

Definition at line 462 of file ezformelement.php.

Referenced by name().

## ◆ $Required

eZFormElement::$Required

Definition at line 463 of file ezformelement.php.

Referenced by store().

## ◆ $Size

eZFormElement::$Size

Definition at line 466 of file ezformelement.php.

The documentation for this class was generated from the following file:

- ezformelement.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.